PKG-ADD(8)

NAME
pkg add - Registers a package and installs it on the system

SYNOPSIS
pkg add [-IAfMq] pkg-name ...
pkg add [-IAfMq] <protocol>://<path>/<pkg-name> ...

pkg add [--{no-scripts,automatic,force,accept-missing,quiet}] [--relocate location] pkg-name ...
pkg add [--{no-scripts,automatic,force,accept-missing,quiet}] [--relocate location] <protocol>://<path>/<pkg-name> ...

DESCRIPTION
pkg add installs packages from either a local source or a remote one.

When installing from a remote source you need to specify the protocol to use when fetching the package.

Currently supported protocols are FTP, HTTP and HTTPS.

Otherwise, pkg add will read the file named on the command line.

If this is a regular file, and the package to be installed has unmet dependencies, pkg add will search the directory containing pkg-name for suitable pkg archive files to fulfill those dependencies. If pkg-name is literally - then it will read the package data from stdin. pkg add will automatically detect and unpack most common compression formats based on the content of the data stream it reads, ignoring any extension the filename may have.

If this involves reading from a pipe (including stdin), fifo, socket or some other non-regular form of input stream then pkg add will immediately emit an error if pkg-name has unmet dependencies.

OPTIONS
The following options are supported by pkg add:

-A, --automatic
    Mark the installed packages as automatic. Will be automatically removed if no other packages depend on them. For more information please refer to pkg-autoremove(8).

-f, --force
    Force the reinstallation of the package if already installed.

-I, --no-scripts
    If any installation scripts (pre-install or post-install) exist for given packages, do not execute them.

-M, --accept-missing
    Force the installation of the package with missing dependencies.

-q, --quiet
    Force quiet output.

--relocate location
    Annotates the package as having been relocated to location, which is an alternate system root. This is an experimental feature and intended for cross-architecture package management. There is no corresponding single letter option. (DEPRECATED)

ENVIRONMENT
The following environment variables affect the execution of pkg add. See pkg.conf(5) for further description.

DEFAULT_ALWAYS_YES

ASSUME_ALWAYS_YES

HANDLE_RC_SCRIPTS

PKG_DBDIR

FILES
See pkg.conf(5).

SEE ALSO
pkg_printf(3), pkg_repos(3), pkg-repository(5), pkg.conf(5), pkg(8), pkg-alias(8), pkg-annotate(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-config(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-lock(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-set(8), pkg-shell(8), pkg-shlib(8), pkg-ssh(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)